#!/bin/bash
set -x
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode contiguous --corrupt-prob 0.9 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode contiguous --corrupt-prob 0.75 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode contiguous --corrupt-prob 0.5 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode contiguous --corrupt-prob 0.25 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode contiguous --corrupt-prob 0.1 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode contiguous --corrupt-prob 0.01 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode random --corrupt-prob 1e-4 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode random --corrupt-prob 5e-5 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode random --corrupt-prob 1e-5 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode random --corrupt-prob 5e-6 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode random --corrupt-prob 1e-6 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode random --corrupt-prob 5e-7 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --corrupt-mode random --corrupt-prob 1e-7 --experiment-mode file --targeted --transform BitCorrupt
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --experiment-mode network --targeted --packet-loss-rate 0.2
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --experiment-mode network --targeted --packet-loss-rate 0.1
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --experiment-mode network --targeted --packet-loss-rate 0.01
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --experiment-mode network --targeted --packet-loss-rate 0.001
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --num-workers 32 --experiment-mode network --targeted --packet-loss-rate 0.0001
