#!/bin/bash 
set -x 
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode contiguous --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 0.9 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode contiguous --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 0.75 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode contiguous --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 0.5 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode contiguous --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 0.25 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode contiguous --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 0.1 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode contiguous --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 0.01 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 1e-4 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 5e-5 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 1e-5 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 5e-6 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 1e-6 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 5e-7 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 1e-7 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 5e-8 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --corrupt-mode random --hooks TruncatedL2 Unreadable SavePath --experiment-mode file --corrupt-prob 1e-8 --num-workers 16 --transform BitCorrupt --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --experiment-mode network --num-workers 16 --packet-loss-rate 0.2 --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --experiment-mode network --num-workers 16 --packet-loss-rate 0.1 --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --experiment-mode network --num-workers 16 --packet-loss-rate 0.01 --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --experiment-mode network --num-workers 16 --packet-loss-rate 0.001 --corruption-augmented
python perturbation_experiments.py  --dataset hmdb51 --img-folder hmdb51_all --n-classes 51 --hooks TruncatedL2 Unreadable SavePath --experiment-mode network --num-workers 16 --packet-loss-rate 0.0001 --corruption-augmented
